%global _empty_manifest_terminate_build 0
Name:           python-asgiref
Version:        3.8.1
Release:        1
Summary:        ASGI specs, helper code, and adapters
License:        BSD-3-Clause
URL:            https://github.com/django/asgiref/
Source0:        https://github.com/django/asgired/archive/refs/tags/%{release}.tar.gz#/asgiref-%{version}.tar.gz
BuildArch:      noarch

%description
ASGI is a standard for Python asynchronous web apps and servers to communicate
with each other, and positioned as an asynchronous successor to WSGI. You can
read more at package includes ASGI base libraries, such as:Sync-to-async and
async-to-sync function wrappers, asgiref.sync Server base classes,
asgiref.server A WSGI-to-ASGI adapter, in asgiref.

%package -n python3-asgiref
Summary:        ASGI specs, helper code, and adapters
Provides:       python-asgiref = %{version}-%{release}
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-asgiref
ASGI is a standard for Python asynchronous web apps and servers to communicate
with each other, and positioned as an asynchronous successor to WSGI. You can
read more at package includes ASGI base libraries, such as:Sync-to-async and
async-to-sync function wrappers, asgiref.sync Server base classes,
asgiref.server A WSGI-to-ASGI adapter, in asgiref.

%package help
Summary:        ASGI specs, helper code, and adapters
Provides:       python3-asgiref-doc
%description help
ASGI is a standard for Python asynchronous web apps and servers to communicate
with each other, and positioned as an asynchronous successor to WSGI. You can
read more at package includes ASGI base libraries, such as:Sync-to-async and
async-to-sync function wrappers, asgiref.sync Server base classes,
asgiref.server A WSGI-to-ASGI adapter, in asgiref.

%prep
%autosetup -n asgiref-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-asgiref -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jun 07 2024 liuzhilin <liuzhilin@kylinos.cn> - 3.8.1-1
- Update package to version 3.8.1
- Fix a rST problem in the pathsend extension documentation.
- Fix task cancellation propagation to subtasks when using sync middlew.
- Added test asyncio.shield with sync and async middlware.

* Sun Jun 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.7.2-1
- Update package to version 3.7.2

* Tue Feb 21 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.6.0-1
- Update package to version 3.6.0

* Mon May 30 2022 houyingchao <houyingchao@h-partners.com> - 3.5.2-1
- Upgrade to 3.5.2

* Wed May 18 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 3.4.1-1
- Update to 3.4.1

* Tue May 10 2022 houyingchao <houyingchao@h-partners.com> - 3.4.0-2
- License compliance rectification

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 3.4.0-1
- Upgrade to version 3.4.0

* Sun Jul 12 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
